=== quarks/CMakeLists.txt ===
if (APPLE)
    set(INSTALL_DESTINATION_QUARKS "SC3plugins")
else()
    set(INSTALL_DESTINATION_QUARKS "share/SuperCollider/SC3plugins")
endif()

install(DIRECTORY "DIRECTORY"
        DESTINATION "${INSTALL_DESTINATION_QUARKS}"
        PATTERN "*"
        PATTERN "*.txt" EXCLUDE
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(FILES SC3pluginsQuarks.help.scd
        DESTINATION "${INSTALL_DESTINATION_QUARKS}"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
