=== debian/changelog ===
supercollider-sc3-plugins (3.7.1~repack-2) unstable; urgency=medium

  [ Hanno Zulla ]
  * Fix GCC6 compilation issue (Closes: #831078)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 02 Sep 2016 10:43:44 +0000

supercollider-sc3-plugins (3.7.1~repack-1) unstable; urgency=medium

  [ Hanno Zulla ]
  * New upstream release 3.7.1.
  * Debian: 03-sse-only-on-x86.patch was accepted upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Apr 2016 12:49:48 +0200
