=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libstk0-dev,
  libjack-jackd2-dev,
  supercollider-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/supercollider/sc3-plugins
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
