=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	$(RM) $(DESTDIR)/usr/share/SuperCollider/Extensions/SC3plugins/ATK/LICENSE
 
 # Upstream commit ID for the version we want to import.
-COMMIT=f978dc2f7e807d4b2e6adaa81b390b268fcecd23
+COMMIT=41a6d721b2890b77b67ad222a77074bf2ba8454b
 get-orig-source:
 	TMPDIR=`mktemp -d` && \
 		NAME="supercollider-sc3-plugins" && \
@@ -53,4 +53,4 @@
 		mv $$REPO.tar.xz ../$$TXZ && \
 		rm -rf $$TMPDIR && \
 		echo; echo 'The next step is to import the source into git.'; echo; \
-		printf "  gbp import-orig --pristine-tar \\\\\\n    --upstream-version="$$SOURCE_VER" \\\\\\n    --upstream-vcs-tag=$$COMMIT \\\\\\n    ../$$TXZ\n"
+		printf "  gbp import-orig --pristine-tar \\\\\\n    --upstream-version="$$SOURCE_VER" \\\\\\n    ../$$TXZ\n"
