=== source/CMakeLists.txt ===
--- 
+++ 
@@ -114,6 +114,7 @@
 set(PLUGIN_DIRS_EXTRA
     AuditoryModeling
     BetablockerUGens
+    ChaosUGens
     DEINDUGens
     LadspaUGen
     MembraneUGens
@@ -145,7 +146,7 @@
 GET_GCC_VERSION(gcc_version)
 
 
-if (CMAKE_SYSTEM_NAME MATCHES "Linux")
+if (CMAKE_SYSTEM_NAME MATCHES "Linux|.*BSD|DragonFly")
     set(INSTALL_DESTINATION "lib/SuperCollider/plugins")
     if (QUARKS)
         set(INSTALL_DESTINATION_LADSPALIST
@@ -196,26 +197,34 @@
 BUILD_PLUGIN(BetablockerUGens "BetablockerUGens/BetablockerUGens.cpp;BetablockerUGens/betablocker/machine.cpp;BetablockerUGens/betablocker/thread.cpp"
              "" "BetablockerUGens")
 
+# ChaosUGens
+BUILD_PLUGIN(NoiseRing
+"ChaosUGens/NoiseRing.cpp"
+             "" "ChaosUGens")
+BUILD_PLUGIN(PredPrey
+"ChaosUGens/PredPrey.cpp"
+             "" "ChaosUGens")
+
 # DEINDUGens
+BUILD_PLUGIN(RMS
+"DEINDUGens/RMS.cpp"
+             "" "DEINDUGens")
 BUILD_PLUGIN(DiodeRingMod
 "DEINDUGens/DiodeRingMod.cpp"
-             "" "DiodeRingMod")
-BUILD_PLUGIN(NoiseRing
-"DEINDUGens/NoiseRing.cpp"
-             "" "NoiseRing")
+             "" "DEINDUGens")
 BUILD_PLUGIN(complexRes
 "DEINDUGens/complexRes.cpp"
-             "" "complexRes")
+             "" "DEINDUGens")
 include_directories(DEINDUGens/include)
 BUILD_PLUGIN(JPverb
 "DEINDUGens/JPverbRaw.cpp" 
-             "" "JPverb")
+             "" "DEINDUGens")
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS mydsp=JPVERB) 
              set_property(TARGET JPverb APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 
 BUILD_PLUGIN(Greyhole
 "DEINDUGens/GreyholeRaw.cpp" 
-             "" "Greyhole")
+             "" "DEINDUGens")
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS SC_FAUST_PREFIX="\"\"") 
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS mydsp=GREYHOLE) 
              set_property(TARGET Greyhole APPEND PROPERTY COMPILE_DEFINITIONS NDEBUG) 
@@ -226,9 +235,9 @@
 
 # LadspaUGen
 if(NOT WIN32)
-    BUILD_PLUGIN(LadspaUGen "LadspaUGen/LadspaUGen.cpp;LadspaUGen/search.c" "dl" "LadspaUGen")
+    BUILD_PLUGIN(LadspaUGen "LadspaUGen/LadspaUGen.cpp;LadspaUGen/search.c" "${CMAKE_DL_LIBS}" "LadspaUGen")
     add_executable(ladspalist LadspaUGen/ladspalist.c LadspaUGen/search.c)
-    target_link_libraries(ladspalist dl)
+    target_link_libraries(ladspalist "${CMAKE_DL_LIBS}")
 endif()
 
 # OteyPianoUGens
@@ -324,9 +333,11 @@
     BUILD_PLUGIN(TJUGens "${TJUGensSources}" "" "TJUGens")
 endif()
 
+# NovaDiskIO
 if (NOVA_DISK_IO)
-  add_subdirectory(NovaDiskIO)
-endif()
+    add_subdirectory(NovaDiskIO)
+endif()
+
 #--------
 # INSTALL
 #--------
