=== debian/changelog ===
supercollider-sc3-plugins (3.9.1~repack-4build1) kinetic; urgency=medium

  * No-change rebuild against libstk-4.6.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jun 2022 15:05:15 +0000

supercollider-sc3-plugins (3.9.1~repack-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Georges Khaznadar ]
  * upgraded debhelper and standards-version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Nov 2020 19:28:41 +0100

supercollider-sc3-plugins (3.9.1~repack-3) unstable; urgency=medium

  * changed Architecture: any to
    Architecture: i386 amd64 arm64 armhf mipsel to comply with architectures
    supported by the build-dependency supercollider-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Feb 2019 23:30:49 +0100

supercollider-sc3-plugins (3.9.1~repack-2) unstable; urgency=medium

  * modified d/watch, so the repacked package does not seem older than
    the upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 28 Nov 2018 19:16:09 +0100

supercollider-sc3-plugins (3.9.1~repack-1) unstable; urgency=medium
  [Georges Khaznadar]
  * upgraded to the newest upstream version
  * updated the debian patches for this last version
  * upgraded standards: Standards-Version: 4.1.3, debhelper (>= 10), compat.
  * removed the option --parallel which is useless with debhelper (>= 10)
    in debian/rules
  [ Fernando Seiti Furusato ]
  * debian/rules: disable altivec/vmx to fix FTBFS on ppc64el
    (Closes: #826225)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 10 Apr 2018 19:26:05 +0200
