=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: supercollider-sc3-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Hanno Zulla <kontakt@hanno.de>,
  Petter Reinholdtsen <pere@debian.org>,
  Georges Khaznadar <georgesk@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  cmake,
  libfftw3-dev,
- libstk0-dev,
+ libstk-dev,
  libjack-jackd2-dev,
  supercollider-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: https://github.com/supercollider/sc3-plugins
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/supercollider-sc3-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/supercollider-sc3-plugins
+Vcs-Git: https://salsa.debian.org/multimedia-team/supercollider-sc3-plugins.git
 
 Package: sc3-plugins
 Section: metapackages
@@ -34,7 +35,7 @@
  and other capabilities for the sound server.
 
 Package: sc3-plugins-server
-Architecture: any
+Architecture: i386 amd64 arm64 armhf mipsel
 Depends:
  supercollider-server,
  ${shlibs:Depends},
@@ -61,7 +62,7 @@
  the community collection of UGen plugins for SuperCollider.
 
 Package: ladspalist
-Architecture: any
+Architecture: i386 amd64 arm64 armhf mipsel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
