=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
 
+ifeq ("$(DEB_HOST_ARCH_CPU)","ppc64el")
+	CFLAGS=-mno-altivec -mno-vsx
+	CXXFLAGS=-mno-altivec -mno-vsx
+endif
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
